Begin passkey registration

POST/auth/v1/users/current/passkeys/register/begin

Begins registering a new passkey for the authenticated user by returning a session_id and WebAuthn creation options.

Authorization<token>

In: header

Response Body

200application/json

session_id and WebAuthn options

type: unknown

{
  "$ref": "#/components/schemas/authv1.PasskeyBeginResponse",
  "$ref-value": {
    "properties": {
      "options": {
        "items": {
          "type": "integer"
        },
        "type": "array"
      },
      "session_id": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/auth/v1/users/current/passkeys/register/begin"

session_id and WebAuthn options

application/json

{
  "$ref": "#/components/schemas/authv1.PasskeyBeginResponse",
  "$ref-value": {
    "properties": {
      "options": {
        "items": {
          "type": "integer"
        },
        "type": "array"
      },
      "session_id": {
        "type": "string"
      }
    },
    "type": "object"
  }
}